<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<?php require 'inc_config.php'; ?>
<head>
<meta http-equiv="content-type" content="text/html;charset=<?=$LANG_CHARSET?>">
<link rel="stylesheet" type="text/css" media="screen" href="default.css">
<title></title>
</head>
<body>

<table width="100%" cellpadding=0 cellspacing=0><tr><td align="left" valign="top" class="header"><?=$LANG_HEADER?></td><td align="right" valign="top" class="header"><sup><?=$LANG_VERSION?>&nbsp;<?=$VERNUM?></sup></td></tr></table>

<br><br>

<?php
/* This routine creates the hash array "langlist" containing the available languages, in the format
 * "langcode --> langname" (example: "en-->English); it works by scanning the directory for "lang_xx" files
 * Probably when I write the new admin module (if ever) I will put it in an include file because then
 * it will be used in at least two different PHPs.
 */
if ($dir = @opendir(".")) {
		while (($file = readdir($dir)) !== false) {
			if(substr($file,0,5) == "lang_") {
				$langcode = substr($file, 5, 2);
				$fp = fopen ($file,'r');
				while ($data = fgets($fp,1000) ) {
					if (strpos($data, "LANG_LANGUAGE")) { /* We read the language name */
						$langname = substr($data, strpos($data, "\"")+1, strrpos($data, "\"")-strpos($data, "\"")-1);
					}	
					if (strpos($data, "LANG_CHARSET"))	{ /* Here we read the charset for this language; I am not sure if it will be useful or not */
						$langcset = substr($data, strpos($data, "\"")+1, strrpos($data, "\"")-strpos($data, "\"")-1);
					}	
				}
				fclose ($fp);
				$langlist[$langcode] = $langname;
				$langlset[$langcode] = $langcset; /* I'd like to use this for each language, but I don't know how */
			}
		}
        closedir($dir);
	}
?>

<form name="frm" action=""> <!--This form will allow to select the language-->
	&nbsp;&nbsp;&nbsp;<?=$LANG_CHOOSE_LANGUAGE?>&nbsp;
	<select name="idm" onChange="javascript:document.location.replace(document.URL.substring(0,document.URL.indexOf('?'))+'?idm='+frm.idm.value)">
	<?php /* Let's create the selection list for the available languages, using the hash array we created before */
		while (list ($key, $val) = each ($langlist))
		{
            echo "<option value=\"$key\"";
			if ($idm == $key) echo " selected"; /*We show the one we got as parameter by default (so the page appears to "remember" which language)*/
			echo ">$val</option>\n";
		}
    ?>
	</select>
</form>

<br>
&nbsp;&nbsp;&nbsp;<strong><?=$LANG_ALBUM_DIRECTORIES?></strong>
<?php
/*
 * Get album directories into an array and sort them
 */

$dh = opendir("./"); 
$cn = 0;
while (($entry = readdir($dh))) 
{ 
   if (substr($entry,0,strlen($ALBPREFIX)) == $ALBPREFIX)
   {  
       $d[$cn++] = $entry;
	} 
}
closedir($dh);
sort ($d);

print "<table border=0>\n"; /* this simple table is only to avoid overflowing if the album description ("about") is too long */
foreach ($d as $entry) {
	if ($fp = @fopen ($entry."/pictures_".$idm.".db", 'r')) { /* Hum... why not print the description/comments for the album? */
		$data = fgetcsv($fp,100000);
		print "<tr><td valign=\"top\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;</td><td valign=\"top\"><a href=\"gallery.php?idm=".$idm."&amp;page=0&amp;alb=".urlencode(substr($entry, strlen($ALBPREFIX)))."\"><b>" . $data[0] . "</b></a>"; //stripslashes (ucwords (str_replace ('_', ' ', substr ($entry,4))))
		print ":</td><td>&nbsp;" . $data[1];
		$numpics = 0; /*Put the counter of pictures to zero to avoid adding up different albums */
		while ($data = fgetcsv($fp,1000)) $numpics++; /*Let's count the lines so we know how many pics we have */
		fclose($fp);
		print " (<i>".$numpics." ".$LANG_PICTURES."</i>)";
	}
	print "</td></tr>\n";
}
print "</table>\n";
?>

<br>
<?php
if ($fp = @fopen ("links_".$idm.".db", 'r')) { /* Of course, only if the links file exists! */
	?>
	<strong>&nbsp;&nbsp;&nbsp;<?=$LANG_LINKS_SECTION?></strong>
	<ul>
	<?php
	while ($linkinfo = fgetcsv($fp,10000) ) {/* Let's read the file line by line; $linkinfo becomes an array with 2 elements: URL and description */
		print "<li><a href=\"" . htmlspecialchars($linkinfo[0]) ."\">" . $linkinfo[1] . "</a></li>\n";
	}
	print "</ul>\n";
	fclose ($fp);
}
?>
</body>
</html>
