<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<?php require 'inc_config.php'; ?>
<head>
<meta http-equiv="content-type" content="text/html; charset=<?=$LANG_CHARSET?>">
<link rel="stylesheet" type="text/css" media="screen" href="<?=file_exists($ALBPREFIX.$alb.'/default.css')?$ALBPREFIX.$alb.'/default.css':'default.css'?>">
<?php
/* Get the image size and add something for the text and arrows */
/* Anyone knows a way to do it dinamically so long text doesn't get scrolled? :-( */

$size = getimagesize($ALBPREFIX.$alb.'/'.$picture);

if (strstr($_SERVER['HTTP_USER_AGENT'], "Opera")) { /* Bug in Opera: it opens the windows a bit smaller than required */
	$size[0] += 8; $size[1] += 24;
}

$size[1] += 60; /* for the text and arrows */
$size = $size[0].",".$size[1];

/* From the image filename, get the description, the filename of next image, and the filename of the previous image (for the links in the arrows) */
$picfilename = $ALBPREFIX.$alb.'/pictures_'.$idm.'.db';
if (!$fp = @fopen ($picfilename,'r') )
{
	print $LANG_NOT_CONFIGURED;
	exit;
}
$data = fgetcsv($fp,100000); /* Skip the first line (which describes the album itself) */
$previous = ''; $following = '';
while ($data = fgetcsv($fp,1000)) { /* Explore the file until we find the filename we currently have */
	if ($PICPREFIX.$data[1] == $picture) { /* If it matches... */
			$description = $data[2]; /* The description */
			$title = $data[0]; /* The title, for the window */
			$data = fgetcsv($fp,1000); /* let's get the next line, or empty if it was the last line...*/
			if ($data[1] > "") { $following = $PICPREFIX.$data[1]; } /*...so we get the filename of the next picture, if there's one */
			break;
		} 
	else {
		$previous = $PICPREFIX.$data[1]; /* Not the line we need; let's save it, so in case the next one is, we already have the previous */
	}
}
fclose ($fp);
?>

<?php /* Page header */ ?>
<title><?=$title?></title>
<script language="javascript" type="text/javascript">
window.resizeTo (<?=$size?>);
</script>
</head>

<body class="popup"> <!-- topmargin='0' leftmargin='0' marginheight='0' marginwidth='0' -->

<?php /* If we did not configure to have the captions on top, we print the image first */
if (!$CAPTION_ON_TOP) { ?>
	<img src="<?=$ALBPREFIX.$alb.'/'.$picture?>" alt="<?=$LANG_PICTURE?>"><br>
<?}?>

<?php /* Now we print the caption bar: a table with the "Previous" arrow, the caption, and the "Next" arrow */ ?>
<table border='0' width="100%">
<tr>
<td width="30" align="right" valign="top">
<?php if ($previous > '') { /* Button to link to previous pic, if it exists */
	$button = (file_exists($ALBPREFIX.$alb.'/left.gif')?$ALBPREFIX.$alb.'/left.gif':'left.gif');
	print "<a href='showpic.php?picture=" .$previous. "&amp;idm=" .$idm. "&amp;alb=" .$alb. "'>";
	print "<img class=\"butn\" src=\"".$button."\" width=\"30\" height=\"30\" border=\"0\" alt=\"&lt;--\">";
	print "</a>";
} ?>
</td>

<td class="popdesc"><?=stripslashes($description)?></td> <?php /* The caption */ ?>

<td width="30" align="left" valign="top">
<?php if ($following > '') { /* Button to the next pic, if it exists */
	$button = (file_exists($ALBPREFIX.$alb.'/right.gif')?$ALBPREFIX.$alb.'/right.gif':'right.gif');
	print "<a href='showpic.php?picture=" .$following. "&amp;idm=" .$idm. "&amp;alb=" .$alb. "'>";
	print "<img class=\"butn\" src=\"".$button."\" width=\"30\" height=\"30\" border=\"0\" alt=\"--&gt;\">";
	print "</a>";
} ?>
<td>
</tr>
</table>

<?php /* If we didn't print the image yet, we do it now (reverse condition from above) */
if ($CAPTION_ON_TOP) { ?>
	<img src="<?=$ALBPREFIX.$alb.'/'.$picture?>" alt="<?=$LANG_PICTURE?>"><br>
<?}?>

</body></html>
