<?PHP /* This is the global configuration file; common code and default parameters go here */

$DEFAULT_IDM='en'; /* Default language to start with, and if for any reason we don't get the correct parameter */
$ALBPREFIX='mpa_'; /* Prefix with which all album directories will start; if it is a directory, it MUST end with a slash */
$PICPREFIX='pictures/'; /* The prefix to identify the pictures; if it is a directory, it MUST end with a slash */
$THUMBPREFIX='thumbs/'; /* The prefix to identify the thumbnails; if it is a directory, it MUST end with a slash */
$ROWSPAGE=9; /* Rows of pictures in each page (4 pictures per row, so 9 rows means 36 pictures) */
$CAPTION_ON_TOP=1; /* Should the picture captions appear on top of the pop-up window? Put 1 for yes, 0 for no.  */

/***************************** END OF CONFIGURATION AREA; COMMON CODE FOLLOWS ************************/

/* In PHP 4.1 a new feature, the "superglobal variables", was introduced. What's more, starting with 4.2 the */
/* parameter named REGISTER_GLOBALS is set to OFF by default. This makes the form parameters fail */
/* "inexplicably" for some users. Since the old method of getting the parameters will eventually be deprecated, */
/* I'm using the new one but still supporting the good (?) old ways for versions previous to 4.1 */
if (phpversion() < '4.1') {
	$idm = $HTTP_GET_VARS["idm"];
	$alb = $HTTP_GET_VARS["alb"];
	$page = $HTTP_GET_VARS["page"];
	$picture = $HTTP_GET_VARS["picture"];
	}
else {
	$idm = $_GET["idm"];
	$alb = $_GET["alb"];
	$page = $_GET["page"];
	$picture = $_GET["picture"];
}
$VERNUM="3.1.2"; /* Version number, moved here from the different language files */
/* Language loading */
if (!file_exists('lang_'.$idm.'.inc')) { /* If the language is empty or non-existent, let's set a default */
  $idm = $DEFAULT_IDM;
}
include ('lang_'.$idm.'.inc'); /* Now we load the language strings file */

?>
